#include <ITDB02_Touch.h>
#include <ITDB02_Graph16.h>

#include "C5_Visual.h"

C5Visual::C5Visual()
{
  Reset();
}

void C5Visual::Reset()
{
  IsVisible = true;
  IsEnabled = true;
}

void C5Visual::Render(ITDB02 *pLCD)
{
}

void C5Visual::Render(ITDB02 *pLCD, C5Position2 offset)
{
}

bool C5Visual::Update()
{
  return false;
}

bool C5Visual::HitTest(int x, int y, int diff)
{
  if(x > Position.X - diff && x < Position.X + Size.Width + diff && y > Position.Y - diff && y < Position.Y + Size.Height + diff)
  {
    return true;
  }
  else
  {
    return false;
  }
}
