#ifndef C5_Button_h
#define C5_Button_h

#include <ITDB02_Touch.h>
#include <ITDB02_Graph16.h>

#include "C5_Visual.h"

class C5Button : public C5Visual
{
	public:
                char *Text;
                int TextLength;
                uint8_t* pFont;
                C5Color Color;
                C5Color Background;
                C5Color ColorSelected;
                C5Color BackgroundSelected;
                boolean RedrawOnPress;
                boolean IsToggle;
                boolean State;
                
                // Events
                void (*OnPressedCallback)();
                
		C5Button();

                void Reset();
		void Render(ITDB02 *pLCD);
                void Render(ITDB02 *pLCD, C5Position2 offset);
		bool Update();
                bool Pressed();
                bool IsPressed();
	protected:
                int _ticksTillAction;
};

#endif
