#ifndef C5_ScreenLock_h
#define C5_ScreenLock_h

#include <ITDB02_Touch.h>
#include <ITDB02_Graph16.h>

#include "C5_Visual.h"
#include "C5_Screen.h"
#include "C5_Button.h"

class C5ScreenLock : public C5Screen
{
	public:
                uint8_t *pBigFont;
                uint8_t *pSmallFont;
                String PinEntered;
                String Pin;
                bool SetMode;
                
                C5Button Button1;
                C5Button Button2;
                C5Button Button3;
                C5Button Button4;
                C5Button Button5;
                C5Button Button6;
                C5Button Button7;
                C5Button Button8;
                C5Button Button9;
                C5Button Button0;
                C5Button ButtonCancel;

		C5ScreenLock(ITDB02 *plcd, uint8_t *bigFont, uint8_t *smallFont);
                void Reset();
                void Render();
                bool Update();
                void OnTouch(int x, int y);
                
                void CheckButtonTouch(C5Button *pButton, int x, int y);
                void CheckButtonUpdate(C5Button *pButton);
                void RenderPinEntered();
	protected:
};

#endif
