#ifndef C5_ScreenOptions_h
#define C5_ScreenOptions_h

#include <ITDB02_Touch.h>
#include <ITDB02_Graph16.h>

#include "C5_Visual.h"
#include "C5_Screen.h"
#include "C5_Button.h"

class C5ScreenOptions : public C5Screen
{
	public:
                uint8_t *pBigFont;
                uint8_t *pSmallFont;
                uint8_t *pSevenSegNumFont;
                
                C5Button ButtonDate;
                C5Button ButtonSetPin;
                C5Button ButtonDisablePin;
                C5Button ButtonClose;

		C5ScreenOptions(ITDB02 *plcd, uint8_t *bigFont, uint8_t *smallFont, uint8_t *sevenSegNumFont);
                void Reset();
                void Render();
                bool Update();
                void OnTouch(int x, int y);
	protected:
};

#endif
